## App config
spring.application.name=WishkartLogistics
#spring.cloud.config.uri=http://localhost:8888
#spring.profiles.active=dev
server.port=9100


##################### Postgre sql #####################
spring.datasource.platform=postgres
spring.datasource.url=jdbc:postgresql://localhost:5432/wishkart_logistics
spring.datasource.username=wishkart
spring.datasource.password=Passw0rd

spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
spring.jpa.properties.hibernate.default_schema=public

#preventing the known error
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true

###########################Kafka, stream config#############
spring.cloud.stream.kafka.binder.brokers=localhost:9092
spring.cloud.stream.bindings.shipping-in.destination=shipping
spring.cloud.stream.bindings.shipping-out.destination=shipping

spring.cloud.stream.bindings.shipping-in.content-type=application/json
spring.cloud.stream.bindings.shipping-out.content-type=application/json